dht::Config Struct Reference

`#include <callbacks.h>`

Collaboration diagram for dht::Config:
[legend]

## Public Attributes

InfoHash | node_id
NetId | network
bool | is_bootstrap
bool | maintain_storage

## Detailed Description

Dht configuration.

Definition at line 89 of file callbacks.h.

## Member Data Documentation

## is_bootstrap

bool dht::Config::is_bootstrap

For testing purposes only, enables bootstrap mode

Definition at line 101 of file callbacks.h.

## maintain_storage

bool dht::Config::maintain_storage

Makes the DHT responsible to maintain its stored values. Consumes more ressources.

Definition at line 104 of file callbacks.h.

## network

NetId dht::Config::network

DHT network ID. A node will only talk with other nodes having the same network ID. Network ID 0 (default) represents the main public network.

Definition at line 98 of file callbacks.h.

## node_id

InfoHash dht::Config::node_id

DHT node ID

Definition at line 91 of file callbacks.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/callbacks.h